<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.sop.business.mapper.SysLevelRoleMapper">
    <select id="getList" resultType="com.qmth.sop.business.bean.result.SysLevelRoleResult">
        select a.*,r.name role_name from sys_level_role a
        left join sys_role r on r.id=a.role_id
        <where>
            <if test="levelId != null and levelId != ''">
                and a.level_id = #{levelId}
            </if>
        </where>
    </select>
</mapper>
